package agilpizza.controlador.pizza;

import java.util.Collection;

import agilpizza.controlador.usuario.EnderecoControlador;
import agilpizza.controlador.util.JSFUtil;
import agilpizza.modelo.pizza.Pizza;
import agilpizza.modelo.pizza.PizzasTradicionaisDAO;

public class PizzasTradicionaisControlador {
	private Collection<Pizza> pizzasTradicionais;
	private Collection<Pizza> pizzasTradicionaisSelecionadas;


	public PizzasTradicionaisControlador() {
		PizzasTradicionaisDAO dao = new PizzasTradicionaisDAO();
		pizzasTradicionais = dao.getNomesPizzas().values();
	}

	public String adicionaPizzaAoPedido() {
		EnderecoControlador enderecoControlador = (EnderecoControlador) JSFUtil.pegarBean("enderecoControlador");
		for (Pizza p : pizzasTradicionais) {
			enderecoControlador.getPedido().adicionarPizza(p);				
		}
		return "mostrarPizza"; 
	}
	
	public Collection getPizzasTradicionais() {
		return pizzasTradicionais;
	}

	public void setPizzasTradicionais(Collection<Pizza> pizzasTradicionais) {
		this.pizzasTradicionais = pizzasTradicionais;
	}

	public Collection<Pizza> getPizzasTradicionaisSelecionadas() {
		return pizzasTradicionaisSelecionadas;
	}

	public void setPizzasTradicionaisSelecionadas(
			Collection<Pizza> pizzasTradicionaisSelecionadas) {
		this.pizzasTradicionaisSelecionadas = pizzasTradicionaisSelecionadas;
	}
}
